## org.eclipse.datatools.sqltools.sqlbuilder.views.source
Class ConnectionContext

    java.lang.Object
      org.eclipse.datatools.sqltools.sqlbuilder.views.source.ConnectionContext

All Implemented Interfaces:
  IDBContext

    public class ConnectionContext

extends java.lang.Object
implements IDBContext

Constructor Summary
`ConnectionContext()` ConnectionContext constructor comment.

Method Summary
`boolean` `canConnect()` Insert the method's description here.
`void` `connect()` Insert the method's description here.
`void` `executeStatement(java.lang.String statement)` Insert the method's description here.
`void` `executeStatements(java.lang.String[] statements)` Insert the method's description here.
`java.lang.String` `getDatabaseName()` Insert the method's description here.
`SQLBuilderDBProposalsService` `getDBProposalsService()` Gets the DB proposals service associated with the connection.
`SQLDomainModel` `getDomainModel()` Gets the domain model for the current SQL statement.
`java.lang.String[]` `getQualifiedColumnNames()` Insert the method's description here.
`java.lang.String[]` `getQualifiedTableNames()` Insert the method's description here.
`java.lang.String[]` `getSchemaTableNames(java.lang.String tableName)` Insert the method's description here.
`java.lang.String[]` `getSchemataNames()` Insert the method's description here.
`java.lang.String[]` `getTableColumnNames(java.lang.String tableName)` Insert the method's description here.
`boolean` `isConnected()` Insert the method's description here.
`void` `setDBProposalsService(SQLBuilderDBProposalsService dbProposalsService)` Sets the DB proposals service associated with the connection to the given object.
`void` `setDomainModel(SQLDomainModel domainModel)` Sets the domain model for the current SQL statement.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionContext

    public ConnectionContext()

  ConnectionContext constructor comment.

Method Detail

### canConnect

    public boolean canConnect()

  Insert the method's description here. Creation date: (9/29/2001 9:11:23 PM)

  Specified by:
    `canConnect` in interface `IDBContext`
  Returns:
    boolean

### connect

    public void connect()

  Insert the method's description here. Creation date: (9/29/2001 9:11:23 PM)

  Specified by:
    `connect` in interface `IDBContext`

### executeStatement

    public void executeStatement(java.lang.String statement)

  Insert the method's description here. Creation date: (9/29/2001 9:11:23 PM)

  Specified by:
    `executeStatement` in interface `IDBContext`
  Parameters:
    `statement` - java.lang.String

### executeStatements

    public void executeStatements(java.lang.String[] statements)

  Insert the method's description here. Creation date: (9/29/2001 9:11:23 PM)

  Specified by:
    `executeStatements` in interface `IDBContext`
  Parameters:
    `statements` - java.lang.String[]

### getDatabaseName

    public java.lang.String getDatabaseName()

  Insert the method's description here. Creation date: (9/29/2001 9:11:23 PM)

  Specified by:
    `getDatabaseName` in interface `IDBContext`
  Returns:
    java.lang.String

### getQualifiedColumnNames

    public java.lang.String[] getQualifiedColumnNames()

  Insert the method's description here. Creation date: (9/29/2001 9:26:49 PM)

  Specified by:
    `getQualifiedColumnNames` in interface `IDBContext`
  Returns:
    java.lang.String[]

### getQualifiedTableNames

    public java.lang.String[] getQualifiedTableNames()

  Insert the method's description here. Creation date: (9/29/2001 9:29:41 PM)

  Specified by:
    `getQualifiedTableNames` in interface `IDBContext`
  Returns:
    java.lang.String[]

### getSchemaTableNames

    public java.lang.String[] getSchemaTableNames(java.lang.String tableName)

  Insert the method's description here. Creation date: (9/29/2001 9:11:23 PM)

  Specified by:
    `getSchemaTableNames` in interface `IDBContext`
  Returns:
    java.lang.String[]

### getSchemataNames

    public java.lang.String[] getSchemataNames()

  Insert the method's description here. Creation date: (9/29/2001 9:11:23 PM)

  Specified by:
    `getSchemataNames` in interface `IDBContext`
  Returns:
    java.lang.String[]

### getTableColumnNames

    public java.lang.String[] getTableColumnNames(java.lang.String tableName)

  Insert the method's description here. Creation date: (9/29/2001 9:11:23 PM)

  Specified by:
    `getTableColumnNames` in interface `IDBContext`
  Parameters:
    `tableName` - java.lang.String
  Returns:
    java.lang.String[]

### isConnected

    public boolean isConnected()

  Insert the method's description here. Creation date: (9/29/2001 9:11:23 PM)

  Specified by:
    `isConnected` in interface `IDBContext`
  Returns:
    boolean

### getDBProposalsService

    public SQLBuilderDBProposalsService getDBProposalsService()

  Gets the DB proposals service associated with the connection. The DB proposals service is used for content assist.

  Specified by:
    `getDBProposalsService` in interface `IDBContext`
  Returns:
    the current SQLDBProposalsService object

### setDBProposalsService

    public void setDBProposalsService(SQLBuilderDBProposalsService dbProposalsService)

  Sets the DB proposals service associated with the connection to the given object. The DB proposals service is used for content assist.

  Parameters:
    `dbProposalsService` - the SQLDBProposalsService object to use

### getDomainModel

    public SQLDomainModel getDomainModel()

  Gets the domain model for the current SQL statement. The domain model contains the connection info, current statement model, and much more.

  Specified by:
    `getDomainModel` in interface `IDBContext`
  Returns:
    the statement domain model

### setDomainModel

    public void setDomainModel(SQLDomainModel domainModel)

  Sets the domain model for the current SQL statement. The domain model contains the connection info, current statement model, and much more.

  Parameters:
    `domainModel` - the statement domain model